API 文档

浏览文档并开始使用 Skinify

Purchase History

Method for getting the history of all purchases.

HTTP Request

GET https://skinify.io/api/withdraw/history

GET parameters

Parameter Required Description
start_date check Start date (unix timestamp)
end_date check End date (unix timestamp)
start_from Required for pagination, passed if has_more=true in response
purchase_statuses Purchase statuses for display. You can pass either an array of statuses or a string where statuses are separated by commas.
(example: purchase_statuses=rollback_user,rollback_provider)

Response

The response will contain a items array, which contains the following data:

Parameter Description
skin Object containing data about the purchased skin
purchase_id Purchase ID
purchase_status
new
Purchase status
1. processing — trade is being processed
2. waiting_accept — waiting for the user to accept trade
3. accepted — trade was accepted by the user
4. canceled — trade was rejected by the user
5. timeout — waiting time for accepting trade has ended (5 minutes)
6. error_invalid_token — invalid ‘token’ parameter was passed
7. error_user_not_tradable — user has restrictions on accepting trades
8. error_create_failed — failed to create trade (try again)
9. rollback_user — the trade was canceled by the user after being accepted (Steam Trade Protection)
10. rollback_provider — the trade was canceled by the provider after being accepted (Steam Trade Protection)
11. reserved
new
— the item is reserved and waiting for the trade hold to be lifted
12. reservation_canceled
new
— the item reservation was canceled by the user
13. error_item_unavailable
new
— the item is no longer available for purchase
date Purchase date (unix timestamp)
balance_debited_amount The amount debited from the balance
custom_id The custom_id you passed
steam_id User’s Steam ID
trade_offer_id Steam Trade Offer ID
(available only if the trade was successfully created)
settlement Unix timestamp indicating when the Steam trade protection period will end
(not null only for Steam-Protected games after the trade has been accepted)
reserved_until
new
Timestamp (in Unix timestamp format) indicating when the trade will move from reserved status to processing status
(exists only for trades with reservation)

Response example

{
  "status": "success",
  "items": [
    {
    "skin": {
    "id": "11552",
    "name": "Crimson Pique",
    "price": "0.3",
    "properties": {
        "classid": "1723113626"
      }
    },
    "purchase_id": "1",
    "purchase_status": "waiting_accept",
    "steam_id": "76561199191754048",
    "date": "1643713700",
    "balance_debited_amount": "0.3",
    "trade_offer_id": "123123123",
    "custom_id": "1234"
    },
    {
    "skin": {
    "id": "11054",
    "name": "Taunt: Giddy Up!",
    "price": "0.3",
    "properties": {
        "classid": "959992716"
      }
    },
    "purchase_id": "2",
    "purchase_status": "processing",
    "steam_id": "76561197972611406",
    "date": "1643714026",
    "balance_debited_amount": "0.3",
    "custom_id": "1234"
    }
  ],
  "total_count": "2000",
  "has_more": true,
  "start_from": 999
}

Possible Errors

Error Description
missing_start_or_end_date One of the required parameters is missing (‘start_date’ or ‘end_date’)